- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector Class Reference

Inheritance diagram for Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector:

List of all members.

## Detailed Description

Selector module, displays individual presets within a bank.

Definition at line 154 of file CPresetBrowser.hpp.

## Public Member Functions

- CPresetBrowserSelector (IControlRoot *root, const long uniqueId, const CRect &area, CFont *font, IActionListener *listener=NULL, IPresetHandler *handler=NULL)
- const CSystemString & getSelectedPath () const
- virtual void handleActionEvent (const CActionEvent &event)
- void setBankPath (const CSystemString &bankPath)
- void setFontColour (const CAlphaColour &colour)
- virtual ~CPresetBrowserSelector ()

## Protected Attributes

- TCountedPointerArray< CFileInformation > m_bankFileList
- CSystemString m_filePath
- CAlphaColour m_fontColour
- long m_pageIndex
- IPresetHandler * m_presetHandler
- CSystemString m_selectedPath
- CFont * m_theFont

## Classes

- class CPresetTextLabel
    Specialised text label for the drawing of preset names on the window. More...

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::CPresetBrowserSelector | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | CFont * | font,
|  | IActionListener * | listener = `NULL`,
|  | IPresetHandler * | handler = `NULL` |
| ) |  |  |

Construction

Parameters:

  | root | The root control
  | uniqueId | The unique id of this control
  | area | The area of the control
  | font | The font to draw with
  | listener | The action listener
  | handler | The preset handler to use

virtual Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::~CPresetBrowserSelector | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

const CSystemString& Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::getSelectedPath | ( |  | ) | const`[inline]`

Get the selected path

Return values:

  | const | CSystemString& The selected path

Definition at line 203 of file CPresetBrowser.hpp.

References m_filePath.

virtual void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::handleActionEvent | ( | const CActionEvent & | event | ) | `[virtual]`

Handle an action event

Parameters:

  | event | The event to handle

Note:
  Intended for internal use, do not call

void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::setBankPath | ( | const CSystemString & | bankPath | ) |

Set he bank path

Parameters:

  | bankPath | The root bank path

void Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::setFontColour | ( | const CAlphaColour & | colour | ) | `[inline]`

Set the font colour

Parameters:

  | colour | The colour to draw text with

Definition at line 209 of file CPresetBrowser.hpp.

References m_fontColour.

## Member Data Documentation

TCountedPointerArray<CFileInformation> Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::m_bankFileList`[protected]`

The list of the files

Definition at line 300 of file CPresetBrowser.hpp.

CSystemString Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::m_filePath`[protected]`

The last path selected

Definition at line 304 of file CPresetBrowser.hpp.

Referenced by getSelectedPath().

CAlphaColour Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::m_fontColour`[protected]`

The colour to use

Definition at line 306 of file CPresetBrowser.hpp.

Referenced by setFontColour().

long Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::m_pageIndex`[protected]`

0 - limit of array

Definition at line 299 of file CPresetBrowser.hpp.

IPresetHandler* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::m_presetHandler`[protected]`

The handler for preset information

Definition at line 301 of file CPresetBrowser.hpp.

CSystemString Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::m_selectedPath`[protected]`

Path to selected preset

Definition at line 303 of file CPresetBrowser.hpp.

CFont* Exponent::GUI::Controls::CPresetBrowser::CPresetBrowserSelector::m_theFont`[protected]`

The font to use

Definition at line 305 of file CPresetBrowser.hpp.